# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

# Copyright (c) 2012 Peter Trommler peter.trommler@ohm-hochschule.de
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           alex
Version:        2.3.5
Release:        0
Summary:        Tool for generating lexical analysers in Haskell

Group:          Development/Languages/Other
License:        BSD-3-Clause
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM alex-2.3.5-generate-man-page.patch -- fixed in 3.0.1
Patch:          alex-2.3.5-generate-man-page.patch
ExclusiveArch:  %{ix86} x86_64 %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# END cabal2spec
# list ghc-*-devel dependencies:
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  autoconf

%if %{defined sles_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%endif

%description
Tool for generating lexical analysers in Haskell similar to lex


%prep
%setup -q
%patch -p1


%build
#%%define cabal_configure_options -f "opt1 -opt2 ..."
%ghc_bin_build
cd doc
test -f configure || autoreconf
./configure


%install
%ghc_bin_install
mkdir -p %{buildroot}/%{_mandir}/man1
cp doc/alex.1 %{buildroot}/%{_mandir}/man1

%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*


%changelog
* Sat Oct  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 3.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
